Pause and resume recording
Pause recording (mute) of an active call:
POST /api/v2/calls/<call-id>.json/muting?action=mute
Resume recording (unmute):
POST /api/v2/calls/<call-id>.json/muting?action=unmute
The request body is empty. The call must be active, that is, its call_state is lower than 5
(Disconnecting). To pause the recording of a user's current call without knowing the call ID, see
Pause and resume recording for user.
The role of the API user needs the Pause recording action of the Calls permission. The action is recorded in the audit trail.
Response contains HTTP status code as shown in the following table.
| Response | Description |
|---|---|
| 200 OK | Recording has been paused or resumed |
| 400 Bad Request | The action parameter is missing or is not mute or unmute |
| 403 Forbidden | The request cannot be completed because API user has no permission to pause or resume recording. Verify the role permissions |
| 404 Not Found | Call with such ID does not exist |
| 409 Conflict | The call is not active anymore ({"error": "InvalidState", "explanation": "Call is not active"}) |
| 500 Internal Server Error | The recorder could not be reached ({"error": "InternalError", "explanation": "Could not access recording service"}) |